%define   src_ver   003.03
%define   _fontdir  %{_datadir}/fonts/OTF/japanese-ipafont

Name:     fonts-otf-japanese-ipafont
Version:  00303
Release:  %mkrel 1
Summary:  IPA Jananese Fonts (ver.%{src_ver})
Summary(ja):  IPAの日本語アウトラインフォント (ver.%{src_ver})
Group:    System/Fonts/Open type
License:  IPA Font License v1.0
URL:      http://ossipedia.ipa.go.jp/ipafont/
Source0:  IPAfont%{version}.tar.xz

BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  psiconv
Requires:  %{name}-gothic = %{version}-%{release}
Requires:  %{name}-mincho = %{version}-%{release}
Requires:  %{name}-doc = %{version}-%{release}
Obsoletes:  fonts-otf-ipafont
Obsoletes:  fonts-ttf-ipafont
Provides:   ipafont

%description
This package is meta package to install IPA Japanese fonts(ver.%{src_ver}).

%description -l ja
このパッケージは、IPAフォント(ver.%{src_ver}) をインストールする為のメタパッケージです。
このメタパッケージで以下の4書体がインストールされます。

  - IPA等幅明朝フォント (IPA明朝)
  - IPAプロポーショナル明朝フォント (IPA P明朝)
  - IPA等幅ゴシックフォント (IPAゴシック)
  - IPAプロポーショナルゴシックフォント (IPA Pゴシック)

# --------------------------------------------------------------------- #

%package gothic
Summary:  IPA Gothic Fonts (ver.%{src_ver})
Summary(ja): IPAゴシックフォント (ver.%{src_ver})
Group:  System/Fonts/Open type
Requires:   %{name}-doc
Obsoletes:  fonts-otf-ipafont < 00301-3nora09
Obsoletes:  fonts-otf-ipafont-gothic = 00301-3nora09
Obsoletes:  fonts-ttf-ipafont < 00203-5nora09
Obsoletes:  fonts-ttf-ipafont-gothic = 00203-5nora09
Requires(post):   fontconfig, mkfontdir, mkfontscale
Requires(postun): fontconfig, mkfontdir, mkfontscale

%description gothic
This package includes IPAGothic and IPAPGothic fonts.

%description -l ja gothic
このパッケージで、以下の IPAゴシックフォント(ver.%{src_ver}) 2書体がインストールされます。

  - IPA等幅ゴシックフォント (IPAゴシック)
  - IPAプロポーショナルゴシックフォント (IPA Pゴシック)

# --------------------------------------------------------------------- #

%package mincho
Summary:  IPA Mincho Fonts (ver.%{src_ver})
Summary(ja): IPA明朝フォント (ver.%{src_ver})
Group:  System/Fonts/Open type
Requires:   %{name}-doc
Obsoletes:  fonts-otf-ipafont < 00301-3nora09
Obsoletes:  fonts-otf-ipafont-mincho = 00301-3nora09
Obsoletes:  fonts-ttf-ipafont < 00203-5nora09
Obsoletes:  fonts-ttf-ipafont-mincho = 00203-5nora09
Requires(post):   fontconfig, mkfontdir, mkfontscale
Requires(postun): fontconfig, mkfontdir, mkfontscale

%description mincho
This package includes IPAMincho and IPAPMincho fonts.

%description -l ja mincho
このパッケージで、以下の IPA明朝フォント(ver.%{src_ver}) 2書体がインストールされます。

  - IPA等幅明朝フォント (IPA明朝)
  - IPAプロポーショナル明朝フォント (IPA P明朝)

# --------------------------------------------------------------------- #

%package doc
Summary:  IPA Font (ver.%{src_ver}) Documents
Summary(ja):  IPAフォント(ver.%{src_ver}) ドキュメント
Group:  System/Fonts/Open type
Obsoletes:  fonts-otf-ipafont < 00301-3nora09
Obsoletes:  fonts-otf-ipafont-doc = 00301-3nora09

%description doc
This package includes important documents for IPA fonts includes enduser
license.

%description -l ja doc
このパッケージには、IPAフォント(ver.%{src_ver}) のライセンスを含むドキュメント類が含まれています。

# --------------------------------------------------------------------- #


%prep
%setup -q -n IPAfont%{version}

## convert character encoding of document
iconv -f Shift_JIS -t UTF-8 Readme_IPAfont%{version}.txt > Readme_IPAfont%{version}_utf8.txt

%build


%install
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipafont:pri=50


%clean
rm -rf $RPM_BUILD_ROOT


%post gothic
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%post mincho
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%postun gothic
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache

%postun mincho
mkfontscale %{_fontdir}
mkfontdir %{_fontdir}
fc-cache


%files

%files gothic
%defattr(-,root,root)
%{_fontdir}/ipag.ttf
%{_fontdir}/ipagp.ttf
%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipafont:pri=50

%files mincho
%defattr(-,root,root)
%{_fontdir}/ipam.ttf
%{_fontdir}/ipamp.ttf
%{_sysconfdir}/X11/fontpath.d/otf-japanese-ipafont:pri=50

%files doc
%doc *.txt


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 00303-1pclos2013
- imported from tomcat
